Bug 194375 - Review Request: kdeutils: K Desktop Environment - Utilities
Review Request: kdeutils: K Desktop Environment - Utilities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 12:42 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 11:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+


Attachments (Terms of Use)
split spec file (22.26 KB, application/octet-stream)
2007-02-18 14:44 EST, Chitlesh GOORAH
no flags Details

  None (edit)
Description Rex Dieter 2006-06-07 12:42:20 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeutils.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdeutils-3.5.3-2.src.rpm
Description:
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive manager); kcalc (scientific calculator);
kcharselect (character selector); kdepasswd (change password);
kdessh (ssh front end); kdf (view disk usage); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klaptopdaemon (battery monitoring and management for laptops);
ksim (system information monitor); ktimer (task scheduler);
kwikdisk (removable media utility)

%changelog
* Wed Jun 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.3-2
- cleanup for Extras
- %%doc: COPYING, app docs (README, TODO, etc...)
- follow icon spec
- BR: desktop-file-utils

* Mon Jun 05 2006 Than Ngo <than@redhat.com> 6:3.5.3-1
- update to 3.5.3
Comment 1 Rex Dieter 2006-06-19 11:19:32 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeutils.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeutils-3.5.3-3.src.rpm

%changelog
* Mon Jun 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.3-3
- move %%_libdir/lib{kcm,kdeinit_}*.* bits to main pkg
Comment 2 Mike McGrath 2006-07-10 23:13:24 EDT
- no URL tag
- %config %{_datadir}/config*/* <- Why aren't these in /etc/?
- python is provided by python-devel (non-blocker)
- need requires(pre,post) for update-desktop-database

Comment 3 Rex Dieter 2006-07-21 07:50:20 EDT
> - %config %{_datadir}/config*/* <- Why aren't these in /etc/?

Because that's how kdelibs is currently configured, ie, the output from
$ kde-config --path config

> - need requires(pre,post) for update-desktop-database

I disagree, but if that's a deal-breaker for you, I'll add it.

> - python is provided by python-devel (non-blocker)

I assume you mean that
BuildRequires: python 
is extraneous, and it mostly is (now).  I guess that's a remnant of my building
kde for older/legacy releases where python-devel didn't Requires: python
Comment 4 Rex Dieter 2006-07-26 11:27:14 EDT
>> - need requires(pre,post) for update-desktop-database

> I disagree, but if that's a deal-breaker for you, I'll add it.

FYI, just recently updated the Scriptlets page clarifying that this Requires is
no longer needed (for post-fc4 releases)
Comment 5 Mike McGrath 2006-07-26 14:44:20 EDT
- Matches naming conventions
- Source matches upstream
- Spec file is logical and easily read
- Matches packaging guidelines 
- License included
- %find_lang is used
- includes shared libs and properly runs ldconfig
- buildroot gets cleaned
- Builds successfully in mock
- RPMLint: Most of the errors and warnings can be ignored
- I believe the invalid-soname's are fine and can be ignored

- add a URL tag and consider this package APPROVED

=================
rpmlint:

W: kdeutils no-url-tag
E: kdeutils invalid-soname /usr/lib/libkdeinit_ark.so libkdeinit_ark.so
E: kdeutils invalid-soname /usr/lib/libkdeinit_irkick.so libkdeinit_irkick.so
E: kdeutils invalid-soname /usr/lib/libkdeinit_kedit.so libkdeinit_kedit.so
E: kdeutils invalid-soname /usr/lib/libkdeinit_kcalc.so libkdeinit_kcalc.so
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config.kcfg/ark.kcfg
W: kdeutils conffile-without-noreplace-flag /usr/share/config.kcfg/ark.kcfg
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config.kcfg/kcalc.kcfg
W: kdeutils conffile-without-noreplace-flag /usr/share/config.kcfg/kcalc.kcfg
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config.kcfg/kedit.kcfg
W: kdeutils conffile-without-noreplace-flag /usr/share/config.kcfg/kedit.kcfg
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config.kcfg/kgpg.kcfg
W: kdeutils conffile-without-noreplace-flag /usr/share/config.kcfg/kgpg.kcfg
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config.kcfg/kjots.kcfg
W: kdeutils conffile-without-noreplace-flag /usr/share/config.kcfg/kjots.kcfg
E: kdeutils file-in-usr-marked-as-conffile /usr/share/config/ksim_panelextensionrc
W: kdeutils conffile-without-noreplace-flag /usr/share/config/ksim_panelextensionrc
W: kdeutils dangling-symlink
/usr/share/doc/HTML/en/kinfocenter/blockdevices/common /usr/share/doc/HTML/en/common
W: kdeutils symlink-should-be-relative
/usr/share/doc/HTML/en/kinfocenter/blockdevices/common /usr/share/doc/HTML/en/common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kwallet/common
../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/ktimer/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kcharselect/common
../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kfloppy/common
../common
W: kdeutils dangling-symlink /usr/share/doc/HTML/en/kcontrol/laptop/common
/usr/share/doc/HTML/en/common
W: kdeutils symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/laptop/common /usr/share/doc/HTML/en/common
W: kdeutils dangling-symlink
/usr/share/doc/HTML/en/kcontrol/kcmlowbatcrit/common /usr/share/doc/HTML/en/common
W: kdeutils symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/kcmlowbatcrit/common /usr/share/doc/HTML/en/common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kdf/common ../common
W: kdeutils dangling-symlink
/usr/share/doc/HTML/en/kcontrol/kcmlowbatwarn/common /usr/share/doc/HTML/en/common
W: kdeutils symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/kcmlowbatwarn/common /usr/share/doc/HTML/en/common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/superkaramba/common
../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kcmlirc/common
../common
W: kdeutils devel-file-in-non-devel-package /usr/lib/libkcmlaptop.so
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kjots/common ../common
W: kdeutils dangling-relative-symlink
/usr/share/doc/HTML/en/KRegExpEditor/common ../common
W: kdeutils dangling-symlink /usr/share/doc/HTML/en/kcontrol/powerctrl/common
/usr/share/doc/HTML/en/common
W: kdeutils symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/powerctrl/common /usr/share/doc/HTML/en/common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kgpg/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/ark/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/ksim/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kedit/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/kcalc/common ../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/khexedit/common
../common
W: kdeutils dangling-relative-symlink /usr/share/doc/HTML/en/irkick/common ../common
Comment 6 Mike McGrath 2006-07-26 14:48:49 EDT
Forgot to assign this bug to me.
Comment 7 Rex Dieter 2006-07-26 15:15:07 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeutils.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.unstable/kdeutils-3.5.4-1.src.rpm

%changelog
* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1
- kde-3.5.4
- add missing URL tag
Comment 9 Chitlesh GOORAH 2007-02-18 08:36:29 EST
Reminder:
There are two bugs opened:
* https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220414 (patch provided)
* https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213541 (needinfo)
Comment 10 Chitlesh GOORAH 2007-02-18 14:44:07 EST
Created attachment 148301 [details]
split spec file
Comment 11 Chitlesh GOORAH 2007-02-18 14:46:57 EST
The above attachment contains an -extras package
which includes 
More Utilities for the K Desktop Environment:
 * kcalc (scientific calculator);
 * kmilo
 * ksim (system information monitor);
 * klaptopdaemon (battery monitoring and management for laptops);

as suggested by http://fedoraproject.org/wiki/Releases/FeatureFedoraKDE
Comment 12 Rex Dieter 2007-06-20 11:07:51 EDT
Confused a bit, I think some comments may have gotten lost, the flags id this 
as approved...

Regardless, closing, this is good to go in cvs/rawhide.

Note You need to log in before you can comment on or make changes to this bug.